## colortest-python 3.0.1

=== Makefile ===
# help me remember 'python setup' commands

help:
	pypi - build sdist/bdist_egg and upload to pypi
	clean - remove pypi leftovers

pypi:
	python3 setup.py sdist bdist_egg upload

clean:
	rm -rf build dist terminal_colors.egg-info

## colortest-python 1.3

=== debian/changelog ===
colortest-python (1.3-1) unstable; urgency=low

  * Initial release (Closes: #583680).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 29 May 2010 17:48:33 +0300

=== debian/control ===
Source: colortest-python
Section: utils
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1)
Build-Depends-Indep: python-support (>= 0.5.3)
Standards-Version: 3.8.4
XS-Python-Version: ${python:Versions}
Vcs-Browser: http://git.debian.org/?p=collab-maint/colortest-python.git
Vcs-Git: git://git.debian.org/git/collab-maint/colortest-python.git
Homepage: http://freshmeat.net/projects/terminal_colors

Package: colortest-python
Suggests: colortest
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: utility to test color capabilities of terminal
 Most terminals are capable of displaying 16 colors; 8 colors and 2
 different brightness values, some (like xterm) can display more, even
 256 colors.
 .
 The program automatically detects 8, 16, 88, 256 color capabilities
 (via ncurses) and displays the appropriate color charts. Program can
 display the colors as blocks or 2d cubes optionally with color values
 overlaid in int or hex values, it can show the full rgb text string
 and show the display with a vertical (default) or horizontal
 orientation.
 .
 In addition to the color charts it can also convert between 256 and
 88 color values. This can be useful when converting various terminals
 like between urxvt and xterm-256.
 .
 The goal of this program was to provide the functionality of all the
 various Perl and sh scripts in one place with some bells and whistles.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = colortest-python
PKGDIR  = $(shell pwd)/debian/$(PACKAGE)
BINDIR  = $(PKGDIR)/usr/bin

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=colortest-python makeman

override_dh_auto_install: man
	install -m 755 -D terminal_colors $(BINDIR)/colortest-python

%:
	dh  $@

.PHONY: man

# End of file

=== debian/watch ===
# There is no package to download.
# See README

## colortest-python 1.4

=== debian/changelog ===
colortest-python (1.4-2) unstable; urgency=low

  * debian/control
    - (XS-*, XB-*): Remove. Not needed; all Python versions are supported
      (Closes: #673066).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 15 Jun 2012 13:34:43 +0300

colortest-python (1.4-1) unstable; urgency=low

  * New upstream release (Closes: #661640).
    - Fixes a minor bug using the -cpz, horizontal cube with padding, display.
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): Update to debhelper 9.
    - (Build-Depends-Indep): Add python dependencies (Lintian).
    - (Standards-Version): Update to 3.9.3.
  * debian/copyright
    - Update headers to newest DEP5. Minor indentation an layout changes.
    - Correct upstream copyright from GPL-3 to GPL-3+.
  * debian/rules:
    - Use  --with python2.
  * debian/*.mk
    - Update.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 28 Feb 2012 16:35:03 -0500

colortest-python (1.3-2) unstable; urgency=low

  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): Update to debhelper 8.
    - (Standards-Version): Update to 3.9.1.
  * debian/rules
    - (get-orig-source): New target
  * debian/watch
    - Point to debian/rules

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 07 Nov 2010 12:01:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 7.1)
-Build-Depends-Indep: python-support (>= 0.5.3)
-Standards-Version: 3.8.4
-XS-Python-Version: ${python:Versions}
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: python-support (>= 0.5.3), python | python-all | python-dev | python-all-dev
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=collab-maint/colortest-python.git
 Vcs-Git: git://git.debian.org/git/collab-maint/colortest-python.git
 Homepage: http://freshmeat.net/projects/terminal_colors

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = colortest-python
PKGDIR	= $(shell pwd)/debian/$(PACKAGE)
BINDIR	= $(PKGDIR)/usr/bin

ORIG	= terminal-colors
URL	= http://zhar.net/projects/shell/$(ORIG)
DIR	= ../tmp
SAVE	= $(DIR)/$(ORIG)

get-orig-source:
	install -d -m 755 $(DIR)
	rm -f $(SAVE)

	wget -q -O $(SAVE) http://zhar.net/projects/shell/terminal-colors

	@cmp $(SAVE) $(ORIG); \
	status=$$? ; \
	if [ "$$status" = "1" ] ; then \
	    echo "New upstream release downloaded: $(SAVE)"; \
	    ver=$$(python $(SAVE) --version | awk '{print $$1}') ; \
	    rm -vrf $(DIR)/$(PACKAGE)-$$ver && \
	    mkdir -v $(DIR)/$(PACKAGE)-$$ver && \
	    cp -v $(SAVE) $(DIR)/$(PACKAGE)-$$ver && \
	    (cd $(DIR) && tar -zcvf $(PACKAGE)-$$ver.tar.gz $(PACKAGE)-$$ver ); \
	    echo "Done $(DIR)/$(PACKAGE)-$$ver.tar.gz"; \
	else \
	    echo "Up to date"; \
	fi

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_install: man
	install -m 755 -D $(ORIG) $(BINDIR)/$(PACKAGE)

%:
	dh  $@ --with python2

.PHONY: man get-orig-source

# End of file

## colortest-python 1.5

=== debian/changelog ===
colortest-python (1.5-3) unstable; urgency=low

  * debian/control
    - (Build-Depends): Move python from Build-Depends-Indep due to use of
      dh clean --with python2 (Closes: #710445). Thanks to Jakub Wilk
      <jwilk@debian.org>.
    - (Build-Depends-Indep): Remove.
    - (XB-Python-Version): Remove. Not needed with debhelper python2.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 31 May 2013 08:00:50 +0300

colortest-python (1.5-2) unstable; urgency=low

  * debian/control
    - (Build-Depends-Indep): Remove python-support (Closes: #709285).
      No python used at build time.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 22 May 2013 19:39:50 +0300

colortest-python (1.5-1) unstable; urgency=low

  * New upstream release (Closes: #704954).
  * debian/control
    - (Standards-Version): Update to 3.9.4.
  * debian/copyright
    - (Comment, X-Source): New.
    - Update years.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 08 Apr 2013 21:07:49 +0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python-support (>= 0.5.3), python | python-all | python-dev | python-all-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), python | python-all | python-dev | python-all-dev
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=collab-maint/colortest-python.git
 Vcs-Git: git://git.debian.org/git/collab-maint/colortest-python.git
 Homepage: http://freshmeat.net/projects/terminal_colors
@@ -13,7 +12,6 @@
 Suggests: colortest
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
-XB-Python-Version: ${python:Versions}
 Description: utility to test color capabilities of terminal
  Most terminals are capable of displaying 16 colors; 8 colors and 2
  different brightness values, some (like xterm) can display more, even

## colortest-python 2.2

=== debian/changelog ===
colortest-python (2.2-1) unstable; urgency=low

  * New upstream release

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 15 Aug 2013 09:55:30 +0300

colortest-python (2.0-1) unstable; urgency=low

  * New upstream release (Closes: #718752).
  * debian/control
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/colortest-python.1.pod
    - (OPTIONS): Update to current release.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 05 Aug 2013 11:30:05 +0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9), python | python-all | python-dev | python-all-dev
 Standards-Version: 3.9.4
-Vcs-Browser: http://git.debian.org/?p=collab-maint/colortest-python.git
-Vcs-Git: git://git.debian.org/git/collab-maint/colortest-python.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/colortest-python.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/colortest-python.git
 Homepage: http://freshmeat.net/projects/terminal_colors
 
 Package: colortest-python

=== debian/rules ===
--- 
+++ 
@@ -36,8 +36,8 @@
 	install -m 755 -D $(ORIG) $(BINDIR)/$(PACKAGE)
 
 %:
-	dh  $@ --with python2
+	dh $@ --with python2
 
-.PHONY: man get-orig-source
+.PHONY: man get-orig-source build build-indep build-arch
 
 # End of file

=== debian/watch ===
# There is no package to download.
# See README and command: make -f debian/rules get-orig-source

## colortest-python 3.0.1

=== debian/changelog ===
colortest-python (3.0.1-3build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:52:10 +0200

colortest-python (3.0.1-3) unstable; urgency=medium

  * Migrate Build-Depend to debhelper-compat (= 13)
  * Add Multi-Arch: foreign to d/control
     - Solve the warning about the issues with
       the multiarch metadata for this package
       on https://tracker.debian.org/pkg/colortest-python

 -- Pablo Mestre Drake <pmdcuba@gmail.com>  Tue, 23 Jun 2020 17:55:00 -0300

colortest-python (3.0.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Set upstream metadata fields: Bug-Submit.

  [ Pablo Mestre Drake ]
  * Update description in d/control (Closes: #954921)
  * Remove suggests in d/control
       - Delete link with colortest version Perl because
         it is currently an orphan package so it can be removed from Debian
  * Mark autopkgtests with 'allow-stderr' and 'superficial'
  * Update the upstream signing key

 -- Pablo Mestre Drake <pmdcuba@gmail.com>  Sun, 05 Apr 2020 16:19:59 -0300

colortest-python (3.0.1-1) unstable; urgency=medium

  [ Pablo Mestre Drake ]
  * New maintainer re-introducing package to Debian
  * New upstream version 3.0.1
  * Add salsa-ci.yml for automatic quality assurance
  * Add parameters to watch check for new upstream versions from Github
  * Add rudimentary autopkgtest for ci.debian.net
  * Update copyright to cover latest realese in 2020
  * Update parameters on control file
    - Update dependencies for python version 3
    - Add new maintainer Pablo Mestre
    - Migrate to debhelper-compat (= 12)
    - Migrate Standards-Version to 4.4.1
    - Add￼Rules-Requires-Root definition
  * Add upstream metadata file

  [ Otto Kekäläinen ]
  * Simplyfy d/control as the whole project is GPL-3+
  * Add metadata in d/control before upload
  * Clean up d/rules of excess lines with no function
  * Define a gbp.conf to enforce best practices for git-buildpackage

 -- Otto Kekäläinen <otto@debian.org>  Sat, 08 Feb 2020 17:59:30 +0200

colortest-python (2.2-2) unstable; urgency=medium

  * debian/copyright
    - (X-Source): Update to Github.
    - Update URLs.
  * debian/control
    - (Homepage): Update to Github (Closes: 753281).
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/pod2man.mk
    - Make build reproducible (Closes: #782208).
      Patch thanks to Reiner Herrmann <reiner@reiner-h.de>.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 20 Oct 2016 10:47:16 +0300

=== debian/control ===
Source: colortest-python
Section: utils
Priority: optional
Maintainer: Pablo Mestre Drake <pmdcuba@gmail.com>
Uploaders: Otto Kekäläinen <otto@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3:any |
               python3-all:any |
               python3-dev:any |
               python3-all-dev:any |
               dh-sequence-python3
Standards-Version: 4.5.0
Homepage: https://github.com/eikenb/terminal-colors
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/applications/colortest-python.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/colortest-python

Package: colortest-python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
Description: utility to test color capabilities of terminal
 Most terminals are capable of displaying 16 colors; 8 colors and 2
 different brightness values, some (like xterm) can display more, even
 256 colors.
 .
 The program automatically detects 8, 16, 88, 256 color capabilities
 (via ncurses) and displays the appropriate color charts. Program can
 display the colors as blocks or 2d cubes optionally with color values
 overlaid in int or hex values, it can show the full rgb text string
 and show the display with a vertical (default) or horizontal
 orientation.
 .
 In addition to the color charts it can also convert between 256 and
 88 color values. This can be useful when converting various terminals
 like between urxvt and xterm-256.
 .
 The goal in writing this script was to provide all the functionality of all
 the various terminal color displaying scripts found around the web in one
 place with some additional bells and whistles.

=== debian/tests/control ===
Tests: smoke, colortest
Restrictions: allow-stderr, superficial

## colortest-python 3.0.2

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,17 @@
 pypi:
 	python3 setup.py sdist bdist_egg upload
 
+release:
+	@echo git tag -a vX.XX.X -s -f
+	@echo git push --tags
+	@echo
+	@echo Then follow instructions here to GPG sign it for Debian.
+	@echo https://wiki.debian.org/Creating%20signed%20GitHub%20releases
+	@echo
+	@echo Basically, download the tar.gz and zip, run this...
+	@echo `gpg --armor --detach-sign terminal-colors-*.tar.gz`
+	@echo And upload the resulting .asc file.
+
 clean:
 	rm -rf build dist terminal_colors.egg-info

=== debian/changelog ===
colortest-python (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1.
  * debian/control: Simplify build-dep field to avoid false positive
    in python3.x-add transition.
  * debian/rules: Manually override configure/build/install targets.

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Nov 2022 13:19:19 -0500

colortest-python (3.0.1-4) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout

  [ Otto Kekäläinen ]
  * Set correct Maintainer for this Python group maintained package

  [ Pablo Mestre Drake ]
  * d/control: Migrate to standards version 4.5.1
  * Replace superficial autopkgtest with a more complex test

 -- Otto Kekäläinen <otto@debian.org>  Sun, 06 Jun 2021 16:40:04 -0700

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,17 @@
 Source: colortest-python
 Section: utils
 Priority: optional
-Maintainer: Pablo Mestre Drake <pmdcuba@gmail.com>
-Uploaders: Otto Kekäläinen <otto@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Otto Kekäläinen <otto@debian.org>,
+           Pablo Mestre Drake <pmdcuba@gmail.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3:any |
-               python3-all:any |
-               python3-dev:any |
-               python3-all-dev:any |
-               dh-sequence-python3
-Standards-Version: 4.5.0
+               dh-sequence-python3,
+               python3,
+Standards-Version: 4.6.1
 Homepage: https://github.com/eikenb/terminal-colors
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/python-team/applications/colortest-python.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/colortest-python
+Vcs-Git: https://salsa.debian.org/python-team/packages/colortest-python.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/colortest-python
 
 Package: colortest-python
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = colortest-python
PKGDIR	= $(shell pwd)/debian/$(PACKAGE)
BINDIR	= $(PKGDIR)/usr/bin

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_auto_install: man
	install -m 755 -D terminal-colors $(BINDIR)/$(PACKAGE)

override_dh_auto_configure:

override_dh_auto_build:

%:
	dh $@

.PHONY: man

=== debian/tests/control ===
Tests: smoke, colortest, command
Restrictions: allow-stderr
